#include "driving.h"
#include "navier-stokes.h"
#include <math.h>

// test driving function
int g_test(
  _Complex double* g,
  int K1,
  int K2
){
  int kx,ky;
  for(kx=-K1;kx<=K1;kx++){
    for (ky=-K2;ky<=K2;ky++){
      if(kx==2 && ky==-1){
	g[klookup(kx,ky,2*K1+1,2*K2+1)]=0.5+sqrt(3)/2*I;
      }
      else if(kx==-2 && ky==1){
        g[klookup(kx,ky,2*K1+1,2*K2+1)]=0.5-sqrt(3)/2*I;
      }
      else{
        g[klookup(kx,ky,2*K1+1,2*K2+1)]=0.;
      }
    }
  }

  return 0;
}

int g_zero(
  _Complex double* g,
  int K1,
  int K2
){
  int i;
  for(i=0;i<(2*K1+1)*(2*K2+1);i++){
    g[i]=0.;
  }

  return 0;
}
