#ifndef INIT_H
#define INIT_H

#include <stdio.h>
#include <stdbool.h>

// random initial condition
int init_random(_Complex double* u0, double init_en, int K1, int K2, double L, int seed, bool irreversible);

// Gaussian initial condition
int init_gaussian(_Complex double* u0, double init_en, int K1, int K2, double L, bool irreversible);

// Initialize from file
int init_file (_Complex double* u0, int K1, int K2, FILE* initfile);

#endif
